0

I get this error when trying to publish on QGIS Cloud:

Name contains invalid characters
Traceback (most recent call last):
  File "/Users/rubenkalmbach/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudapi/qgiscloudapi.py", line 657, in request
    response = urllib.request.urlopen(req).read()
  File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 223, in urlopen
    return opener.open(url, data, timeout)
  File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 532, in open
    response = meth(req, response)
  File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 642, in http_response
    'http', request, response, code, msg, hdrs)
  File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 570, in error
    return self._call_chain(*args)
  File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 504, in _call_chain
    result = func(*args)
  File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 650, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 422: Unprocessable Entity

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/rubenkalmbach/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudplugindialog.py", line 659, in publish_map
    map = self.api.create_map( self.map(), fname, config)['map']
  File "/Users/rubenkalmbach/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudapi/qgiscloudapi.py", line 304, in create_map
    content = request.post(resource, data)
  File "/Users/rubenkalmbach/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudapi/qgiscloudapi.py", line 569, in post
    return self.request(resource, method='POST', data=data)
  File "/Users/rubenkalmbach/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudapi/qgiscloudapi.py", line 683, in request
    raise BadRequestError(msg)
qgiscloud.qgiscloudapi.qgiscloudapi.BadRequestError: Name contains invalid characters
0

Try to save your project in qgs format and not in qgz which is a compressed format. It worked for me. Guess it is the extension or the fact that the project name contains two dots.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.